This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 746942 - Review Request: ghc-blaze-builder-enumerator - Enumeratees for conversion of builders to bytestrings
Review Request: ghc-blaze-builder-enumerator - Enumeratees for conversion of ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-wai-extra ghc-http-enumerator ghc-snap-core 748701
  Show dependency treegraph
 
Reported: 2011-10-18 07:00 EDT by Jens Petersen
Modified: 2011-11-05 19:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-blaze-builder-enumerator-0.2.0.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-04 21:36:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-10-18 07:00:02 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-blaze-builder-enumerator/ghc-blaze-builder-enumerator.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-blaze-builder-enumerator/ghc-blaze-builder-enumerator-0.2.0.2-1.fc15.src.rpm
Description: 
Integration of the builders from the blaze-builder package
with the enumerator package. It provides infrastructure and
enumeratees for incrementally executing builders and pass the filled
chunks to a bytestring iteratee.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3439434

This is needed by snap-core-0.5.5 and wai-extra
(and also http-enumerator and hence yesod).

http://packdeps.haskellers.com/reverse/blaze-builder-enumerator
Comment 2 Narasimhan 2011-10-21 21:51:18 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i built/ghc-blaze-builder-enumerator-devel-0.2.0.3-1.fc16.x86_64.rpm built/ghc-blaze-builder-enumerator-0.2.0.3-1.fc16.src.rpm built/ghc-blaze-builder-enumerator-0.2.0.3-1.fc16.x86_64.rpm ghc-blaze-builder-enumerator.spec 
ghc-blaze-builder-enumerator-devel.x86_64: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, restrings
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator-devel.x86_64: W: spelling-error %description -l en_US enumeratees -> enumerates, enumerate es, enumerate-es
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator-devel.x86_64: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator-devel.x86_64: W: spelling-error %description -l en_US iteratee -> iterate, iterates, iterated
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.src: W: spelling-error Summary(en_US) Enumeratees -> Enumerates, Enumerate es, Enumerate-es
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.src: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, restrings
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.src: W: spelling-error %description -l en_US enumeratees -> enumerates, enumerate es, enumerate-es
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.src: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.src: W: spelling-error %description -l en_US iteratee -> iterate, iterates, iterated
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.x86_64: W: spelling-error Summary(en_US) Enumeratees -> Enumerates, Enumerate es, Enumerate-es
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.x86_64: W: spelling-error Summary(en_US) bytestrings -> byte strings, byte-strings, restrings
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.x86_64: W: spelling-error %description -l en_US enumeratees -> enumerates, enumerate es, enumerate-es
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.x86_64: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-builder-enumerator.x86_64: W: spelling-error %description -l en_US iteratee -> iterate, iterates, iterated
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 14 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is BSD.

[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum blaze-builder-enumerator-0.2.0.3.tar.gz 
ef4c544d64bacae74613abd11eba921a  blaze-builder-enumerator-0.2.0.3.tar.gz

md5sum ghc-blaze-builder-enumerator-0.2.0.3-1.fc15.src/blaze-builder-enumerator-0.2.0.3.tar.gz 
ef4c544d64bacae74613abd11eba921a  ghc-blaze-builder-enumerator-0.2.0.3-1.fc15.src/blaze-builder-enumerator-0.2.0.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
 rpm -e ghc-blaze-builder-enumerator
error: Failed dependencies:
	ghc(blaze-builder-enumerator-0.2.0.3) = e502ebd2428f883f45d58c38add7a3b1 is needed by (installed) ghc-blaze-builder-enumerator-devel-0.2.0.3-1.fc16.x86_64
	ghc-blaze-builder-enumerator = 0.2.0.3-1.fc16 is needed by (installed) ghc-blaze-builder-enumerator-devel-0.2.0.3-1.fc16.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Loaded Blaze.ByteString.Builder.Enumerator into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.
[+]SHOULD: License information should be mentioned in each source file

cabal2spec-diff is OK.

APPROVED.
Comment 3 Jens Petersen 2011-10-21 22:41:06 EDT
Thank you for reviewing the package.


New Package SCM Request
=======================
Package Name: ghc-blaze-builder-enumerator
Short Description: Enumeratees for conversion of builders to bytestrings
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2011-10-21 23:10:49 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-10-22 04:11:38 EDT
ghc-blaze-builder-enumerator-0.2.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-blaze-builder-enumerator-0.2.0.3-1.fc15
Comment 6 Fedora Update System 2011-10-22 04:11:47 EDT
ghc-blaze-builder-enumerator-0.2.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-blaze-builder-enumerator-0.2.0.3-1.fc14
Comment 7 Fedora Update System 2011-10-22 04:11:56 EDT
ghc-blaze-builder-enumerator-0.2.0.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-blaze-builder-enumerator-0.2.0.3-1.fc16
Comment 8 Fedora Update System 2011-10-22 13:06:52 EDT
ghc-blaze-builder-enumerator-0.2.0.3-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2011-11-04 21:36:11 EDT
ghc-blaze-builder-enumerator-0.2.0.3-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2011-11-05 19:54:30 EDT
ghc-blaze-builder-enumerator-0.2.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2011-11-05 19:57:59 EDT
ghc-blaze-builder-enumerator-0.2.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.